# Adakah_YangLebihBesar

## Deskripsi_Soal
Diberikan sebuah angka, tentukan apakah ada setidaknya satu permutasi digit dari angka tersebut yang lebih besar dari angka awal.

Jika ada, cetak YA, jika tidak, cetak TIDAK.

## Implementasi_Phyton
from itertools import permutations

def adakah_yang_lebih_besar(angka_awal):
    angka_str = str(angka_awal)
    angka_awal_int = int(angka_str)
    
    # Buat semua permutasi unik
    semua_permutasi = set(permutations(angka_str))
    
    for p in semua_permutasi:
        angka_baru = int(''.join(p))
        if angka_baru > angka_awal_int:
            return "YA"
    return "TIDAK"

# Contoh penggunaan:
angka = int(input("Masukkan angka: "))
print(adakah_yang_lebih_besar(angka))

## Contoh Input & Output:
Masukkan angka: 123
YA

Masukkan angka: 321
TIDAK

Program ini berhenti begitu menemukan permutasi yang lebih besar dari angka awal — jadi efisien untuk input besar.


